"use strict";

/* exported logger */

var logger = require('../../logger');

function User(javaObject) {
  this.setLogin(javaObject.login);
  this.setName(javaObject.name);
  this.setSurname(javaObject.surname);
  this.setEmail(javaObject.email);
  this.setRemoved(javaObject.removed);
  this.setPrivileges(javaObject.privileges);
  this.setMinColor(javaObject.minColor);
  this.setMaxColor(javaObject.maxColor);
  this.setSimpleColor(javaObject.simpleColor);
}

User.prototype.setLogin = function(login) {
  this._login = login;
};

User.prototype.getLogin = function() {
  return this._login;
};

User.prototype.setName = function(name) {
  this._name = name;
};

User.prototype.getName = function() {
  return this._name;
};

User.prototype.setSurname = function(surname) {
  this._surname = surname;
};

User.prototype.getSurname = function() {
  return this._surname;
};

User.prototype.setEmail = function(email) {
  this._email = email;
};

User.prototype.getEmail = function() {
  return this._email;
};

User.prototype.setRemoved = function(removed) {
  this._removed = removed;
};

User.prototype.getRemoved = function() {
  return this._removed;
};

User.prototype.setMinColor = function(minColor) {
  this._minColor = minColor;
};

User.prototype.getMinColor = function() {
  return this._minColor;
};

User.prototype.setSimpleColor = function(simpleColor) {
  this._simpleColor = simpleColor;
};

User.prototype.getSimpleColor = function() {
  return this._simpleColor;
};

User.prototype.setMaxColor = function(maxColor) {
  this._maxColor = maxColor;
};

User.prototype.getMaxColor = function() {
  return this._maxColor;
};

User.prototype.setPrivileges = function(privileges) {
  this._privileges = privileges;
};

User.prototype.getPrivileges = function() {
  return this._privileges;
};

User.prototype.update = function(user) {
  this.setLogin(user.getLogin());
  this.setName(user.getName());
  this.setSurname(user.getSurname());
  this.setEmail(user.getEmail());
  this.setRemoved(user.getRemoved());
  this.setPrivileges(user.getPrivileges());
  this.setMinColor(user.getMinColor());
  this.setMaxColor(user.getMaxColor());
  this.setSimpleColor(user.getSimpleColor());
};

module.exports = User;
